import { BridgeModel } from './model';
import { isError } from './utils';
import { Schema } from './schema';
import { Types } from 'mongoose';
declare const createDB: <DBSchemasI extends Record<string, Schema<any, any>>>(DBSchemas: DBSchemasI) => { [ModelName in keyof DBSchemasI & string as Lowercase<ModelName>]: ModelName extends string ? BridgeModel<DBSchemasI, ModelName, import("./model").convertDBSchemasToDBI<DBSchemasI> extends infer T ? { [K in keyof T]: import("./model").convertDBSchemasToDBI<DBSchemasI>[K]; } : never, DBSchemasI[ModelName], (import("./model").convertDBSchemasToDBI<DBSchemasI> extends infer T_1 ? { [K in keyof T_1]: import("./model").convertDBSchemasToDBI<DBSchemasI>[K]; } : never)[import("./utils").Plurial<Lowercase<ModelName>> & keyof import("./model").convertDBSchemasToDBI<DBSchemasI>]> : never; };
export { Schema, createDB, isError };
export declare const ObjectId: typeof Types.ObjectId;
export * as mongoose from 'mongoose';
//# sourceMappingURL=index.d.ts.map