"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mongoose = exports.ObjectId = exports.isError = exports.createDB = exports.Schema = void 0;
const model_1 = require("./model");
const utils_1 = require("./utils");
Object.defineProperty(exports, "isError", { enumerable: true, get: function () { return utils_1.isError; } });
const schema_1 = require("./schema");
Object.defineProperty(exports, "Schema", { enumerable: true, get: function () { return schema_1.Schema; } });
const mongoose_1 = require("mongoose");
const createDB = (DBSchemas) => {
    const DB = {};
    for (const [modelName, schema] of Object.entries(DBSchemas))
        DB[modelName.toLowerCase()] = new model_1.BridgeModel(schema, modelName);
    return DB;
};
exports.createDB = createDB;
exports.ObjectId = mongoose_1.Types.ObjectId;
exports.mongoose = __importStar(require("mongoose"));
