import { SchemaDefinition } from 'mongoose';
import { SchemaConfig } from './types';
export declare class Schema<SchemaDef extends SchemaDefinition, Config extends SchemaConfig = {
    timestamps: false;
}> {
    schemaDef: SchemaDef;
    config?: Config | undefined;
    constructor(schemaDef: SchemaDef, config?: Config | undefined);
}
export type InferSchemaDefFromSchema<SchemaI extends Schema<any, any>> = SchemaI extends Schema<infer SchemaDef, any> ? SchemaDef : never;
export type InferConfigfFromSchema<SchemaI extends Schema<any, any>> = SchemaI extends Schema<any, infer Config> ? Config : {
    timestamps: false;
};
export * from './types';
//# sourceMappingURL=index.d.ts.map