"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isError = exports.isBridgeError = void 0;
const isBridgeError = (object) => typeof object === 'object' &&
    typeof object.error === 'object' &&
    typeof object.error.name === 'string' &&
    typeof object.error.status === 'number';
exports.isBridgeError = isBridgeError;
const isError = (object) => typeof object === 'object' && (0, exports.isBridgeError)(object.error);
exports.isError = isError;
